top

Package podsecuritypolicy contains code for validating and defaulting the security context of a pod and its containers according to a security policy.

Imports 12 package(s)

  1. k8s.io/kubernetes/pkg/security/podsecuritypolicy/capabilities
  2. k8s.io/kubernetes/pkg/util/validation/field
  3. k8s.io/kubernetes/pkg/api
  4. k8s.io/kubernetes/pkg/security/podsecuritypolicy/selinux
  5. k8s.io/kubernetes/pkg/security/podsecuritypolicy/user
  6. k8s.io/kubernetes/pkg/util/errors
  7. k8s.io/kubernetes/pkg/security/podsecuritypolicy/util
  8. k8s.io/kubernetes/pkg/util/maps
  9. k8s.io/kubernetes/pkg/security/podsecuritypolicy/sysctl
  10. k8s.io/kubernetes/pkg/apis/extensions
  11. k8s.io/kubernetes/pkg/security/podsecuritypolicy/apparmor
  12. k8s.io/kubernetes/pkg/security/podsecuritypolicy/group

Test imports 3 package(s)

  1. github.com/davecgh/go-spew/spew
  2. k8s.io/kubernetes/pkg/security/apparmor
  3. k8s.io/kubernetes/pkg/util/diff